cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/auto-fill \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"viewId":"viwXXXXXXX","filter":"string","orderBy":"string","groupBy":"string","ignoreViewQuery":"string","mode":"all"}'const url = 'https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D/auto-fill';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"viewId":"viwXXXXXXX","filter":"string","orderBy":"string","groupBy":"string","ignoreViewQuery":"string","mode":"all"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/table/%7BtableId%7D/field/%7BfieldId%7D/auto-fill',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
viewId: 'viwXXXXXXX',
filter: 'string',
orderBy: 'string',
groupBy: 'string',
ignoreViewQuery: 'string',
mode: 'all'
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"viewId\":\"viwXXXXXXX\",\"filter\":\"string\",\"orderBy\":\"string\",\"groupBy\":\"string\",\"ignoreViewQuery\":\"string\",\"mode\":\"all\"}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/table/%7BtableId%7D/field/%7BfieldId%7D/auto-fill", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"taskId": "<string>",
"rowCount": 123,
"processedCount": 123,
"isLimited": true
}field
Auto-fill a field by AI
Automatically generate suggestions for filling a specific field
POST
/
table
/
{tableId}
/
field
/
{fieldId}
/
auto-fill
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Set the view you want to fetch, default is first view. result will filter and sort by view options.
示例:
"viwXXXXXXX"
A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.
An array of sort objects that specifies how the records should be ordered.
An array of group objects that specifies how the records should be grouped.
When a viewId is specified, configure this to true will ignore the view's filter, sort, etc
可用选项:
all, emptyOnly 最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

